Subject: Re: bug#56343: ‘tests/services/telephony.scm’ fails to run

From: Maxim Cournoyer <[email-masked]>
Date: Sat, 02 Jul 2022 03:35:58 -0400

On July 1, 2022 5:34:37 PM EDT, "Ludovic Courtès" <[email-masked]> wrote:
>Hi,
>
>The ‘tests/services/telephony.scm’ file exercises procedures that were
>removed from (gnu build jami-service) in
>85b4dabd94d53f8179f31a42046cd83fc3a352fc, which prevents ‘make check’
>from proceeding:
>
>--8<---------------cut here---------------start------------->8---
>$ make check -j5
>
>[...]
>
>PASS: tests/services/file-sharing.scm
>PASS: tests/services.scm
>PASS: tests/services/linux.scm
>make[4]: *** [Makefile:6079: tests/services/telephony.log] Error 1
>make[4]: *** Waiting for unfinished jobs....
>PASS: tests/sets.scm
>PASS: tests/packages.scm
>PASS: tests/pack.scm
>PASS: tests/lint.scm
>make[4]: Leaving directory '/home/ludo/src/guix'
>make[3]: *** [Makefile:6061: check-TESTS] Error 2
>--8<---------------cut here---------------end--------------->8---
>
>Should we keep some of the tests in this file, or has it become obsolete
>entirely?

It isn't obsolete, but I had forgotten there were both unit and functional (system) tests for our Jami seevice. It's probably easy to adjust, I can look into it when I'm back from travels in a few days.

Cheers,

Maxim

Hi,